package com.chenyang.nse.bussiness.engine.infa.basic.wsclient;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlType;

@XmlType(
   name = "EWorkflowRunStatus"
)
@XmlEnum
public enum EWorkflowRunStatus {
   SUCCEEDED,
   FAILED,
   STOPPED,
   ABORTED,
   RUNNING,
   SUSPENDING,
   SUSPENDED,
   STOPPING,
   ABORTING,
   WAITING,
   SCHEDULED,
   UNSCHEDULED,
   UNKNOWN,
   TERMINATED;

   public String value() {
      return this.name();
   }

   public static EWorkflowRunStatus fromValue(String v) {
      return valueOf(v);
   }
}
